# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.contrib import admin

# Las siguientes dos líneas evita el error: database is locked
from django import db 
db.connections.close_all()

# Register your models here.
from catalog.models import Process
from catalog.models import Platform

#admin.site.register(Publisher)
class ProcessAdmin(admin.ModelAdmin):
	list_display = ('name', 'platform', 'productLevel')
admin.site.register(Process, ProcessAdmin)


class PlatformAdmin(admin.ModelAdmin):
	list_display = ('name', 'acronym')
admin.site.register(Platform, PlatformAdmin)
