function dragElement(elmnt) {
    var pos1 = 0, pos2 = 0, pos3 = 0, pos4 = 0;
    if (document.getElementById(elmnt.id + "header")) {
        /* if present, the header is where you move the DIV from:*/
        document.getElementById(elmnt.id + "header").onmousedown = dragMouseDown;
    } else {
        /* otherwise, move the DIV from anywhere inside the DIV:*/
        elmnt.onmousedown = dragMouseDown;
    }

    function dragMouseDown(e) {
        e = e || window.event;
        e.preventDefault();
        // get the mouse cursor position at startup:
        pos3 = e.clientX;
        pos4 = e.clientY;
        document.onmouseup = closeDragElement;
        // call a function whenever the cursor moves:
        document.onmousemove = elementDrag;
    }

    function elementDrag(e) {
        e = e || window.event;
        e.preventDefault();
        // calculate the new cursor position:
        pos1 = pos3 - e.clientX;
        pos2 = pos4 - e.clientY;
        pos3 = e.clientX;
        pos4 = e.clientY;
        // set the element's new position:
        elmnt.style.top = (elmnt.offsetTop - pos2) + "px";
        elmnt.style.left = (elmnt.offsetLeft - pos1) + "px";
    }

    function closeDragElement() {
        /* stop moving when mouse button is released:*/
        document.onmouseup = null;
        document.onmousemove = null;
    }
}

function showGraph(){
    if ($('.showChart').is(':visible')){
        $("#draggableChart").css('z-index', 10);
        $(".showChart").hide();
        $(".hideChart").show();
    }else{
        $("#draggableChart").css('z-index', -1);
        $(".showChart").show();
        $(".hideChart").hide();
    }
}

function showComparisons() {
    if ($('.showImage').is(':visible')) {
        $("#draggableImage").css('z-index', 10);
        $(".showImage").hide();
        $(".hideImage").show();
    } else {
        $("#draggableImage").css('z-index', -1);
        $(".showImage").show();
        $(".hideImage").hide();
    }
}

dragElement(document.getElementById("draggableChart"));
//dragElement(document.getElementById("draggableImage"));