from django.conf.urls import url

from . import views
from reports import views

urlpatterns = [
    url(r'^(?P<purchase_id>(\d+))/(?P<report>[\w\-]+)$', views.report_L2ASCL, name='report'),
    url(r'^$', views.Reports, name='reports'),
    url(r'^ws/process_progress$', views.wsProcessProgress, name='wsProcessProgress'),
    url(r'^tiles/(?P<purchase_id>(\d+))/(?P<report>[\w\-]+)/(?P<date>[0-9]+)/(?P<z>[0-9]+)/(?P<x>[0-9]+)/(?P<y>[0-9]+).png$',
        views.tiles, name='tile'),
    url(r'^tiles/tileinfo$', views.tileinfo, name='tileinfo'),
]
